{% extends 'layout/base.html' %} {% load static %} {% block page_title %}
សម្ភារះ {% endblock page_title %} {% block content %}
<button
  onclick="printCertificate()"
  class="btn btn-primary btn-sm"
  id="btnPrint"
>
  <i class="fas fa-download"></i> Print
</button>

<div class="row">
  <div class="col-md-8">
    <div class="card card-primary" style="border-radius: 20px">
      <div class="card-body" id="certificate">
        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label>ឈ្មោះ</label>
              <input
                type="text"
                class="form-control"
                name="item_name"
                value=""
              />
            </div>
            <div class="form-group">
              <label>ឈ្មោះភាសាខ្មែរ</label>
              <input
                type="text"
                class="form-control"
                name="item_name_kh"
                value=""
              />
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label>ប្រភេទសម្ភារះ</label>
              <select class="form-control" name="item_type_id">
                {% for item_type in item_types %}
                <option value="{{ item_type.id }}">
                  {{ item_type.item_type_name }}
                </option>
                {% endfor %}
              </select>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<script>
  function printCertificate() {
    document.getElementById("btnPrint").hidden;
    const printContents = document.getElementById("certificate").innerHTML;
    const originalContents = document.body.innerHTML;
    //document.body.innerHTML = printContents;
    window.print();
    document.body.innerHTML = originalContents;
  }
</script>

{% endblock %}
